<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>GCUH-BUS-TRACKING-SYSTEM-LOGIN</title>
  <!-- plugins:css -->
  <link rel="stylesheet" href="vendors/feather/feather.css">
  <link rel="stylesheet" href="vendors/ti-icons/css/themify-icons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- Plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="css/vertical-layout-light/style.css">
  <!-- endinject -->
    <link rel="shortcut icon" href="images/fav/icon-fav.jpg" />
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet">
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <style>
    .btn-primary, .wizard > .actions a {
    color: #fff;
    background-color: #80102b !important;
    border-color: #80102b !important;
}
  </style>
</head>

<body>
  <div class="container-scroller">
    <div class="container-fluid page-body-wrapper full-page-wrapper">
      <div class="content-wrapper d-flex align-items-center auth px-0">
        <div class="row w-100 mx-0">
          <div class="col-lg-4 mx-auto">
            <div class="auth-form-light text-left py-5 px-4 px-sm-5">
              <div class="brand-logo">
                <!-- <img src="images/logo-updated.png" alt="logo"> -->
                <h2 style='font-size: 25px; line-height: 50px; text-transform: uppercase;text-align: center;font-weight: 700;'>GCUH-Bus-Tracking-system-Login</h2>
              </div>
              <h4 style='h4 {text-align: center;}'>Sign in to continue</h4>
              <!--<h6 class="font-weight-light">Sign in to continue.</h6>-->
              <!--<form class="pt-3">-->
<?php
session_start();
require_once('database-connection/db.php');

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $input_username = $_POST['username'];
    $input_password = $_POST['password'];

    $query = "SELECT * FROM students WHERE username = :username";
    $stmt = $conn->prepare($query);
    $stmt->bindParam(':username', $input_username);
    $stmt->execute();
    $user = $stmt->fetch();

    if ($user && password_verify($input_password, $user['password'])) {
        if ($user['approved'] == 1) {
            // Regenerate the session ID
            session_regenerate_id(true);

            // Set session variables
            $_SESSION['username'] = $user['username'];
            $_SESSION['id'] = $user['id'];
            
            // Display success message
            echo '<script type="text/javascript">toastr.success("Login successful. Please wait. You will be redirected to the Student Dashboard")</script>';
            
            // Redirect after a delay
            header('Refresh: 2; URL=index.php');
            exit(); // Ensure that no further output is sent
        } else {
            echo '<script type="text/javascript">toastr.error("Your account is not yet approved by an admin.")</script>';
        }
    } else {
        echo '<script type="text/javascript">toastr.error("Invalid username or password.")</script>';
    }
}
?>
 
              
                   <form method="post" class="pt-3" action="">
                <div class="form-group">
                  <input type="text" class="form-control form-control-lg" name="username"  placeholder="Username" required>
                </div>
               <div class="input-group">
    <input type="password" class="form-control form-control-lg" name="password" id="password" placeholder="Password" required>
    <div class="input-group-append">
        <span class="input-group-text">
            <i class="fa fa-eye" id="togglePassword"></i>
        </span>
    </div>
</div>

<script>
    // JavaScript to toggle password visibility
    const passwordInput = document.getElementById('password');
    const togglePasswordButton = document.getElementById('togglePassword');

    togglePasswordButton.addEventListener('click', function () {
        const type = passwordInput.getAttribute('type') === 'password' ? 'text' : 'password';
        passwordInput.setAttribute('type', type);
    });
</script>
                <div class="mt-3">
                       <input type="submit" class="btn btn-block btn-primary btn-lg font-weight-medium auth-form-btn" value="SIGN IN">
                  <!--<a class="btn btn-block btn-primary btn-lg font-weight-medium auth-form-btn" href="index.html">SIGN IN</a>-->
                </div>
                <div class="my-2 d-flex justify-content-between align-items-center">
                  <div class="form-check">
                    <label class="form-check-label text-muted">
                      <input type="checkbox" class="form-check-input">
                      Keep me signed in
                    </label>
                  </div>
                  <a href="forgot-password" class="auth-link text-black">Forgot password?</a>
                </div>
                <!--<div class="mb-2">-->
                <!--  <button type="button" class="btn btn-block btn-facebook auth-form-btn">-->
                <!--    <i class="ti-facebook mr-2"></i>Connect using facebook-->
                <!--  </button>-->
                <!--</div>-->
                <div class="text-center mt-4 font-weight-light">
                  Don't have an account? <a href="student-registration" class="text-primary">Create</a>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
  <!-- plugins:js -->
  <script src="vendors/js/vendor.bundle.base.js"></script>
  <!-- endinject -->
  <!-- Plugin js for this page -->
  <!-- End plugin js for this page -->
  <!-- inject:js -->
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>
  <!-- endinject -->
</body>

</html>
