



<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>GCUH Bus Tracking System register Page</title>
  <!-- plugins:css -->
  <link rel="stylesheet" href="vendors/feather/feather.css">
  <link rel="stylesheet" href="vendors/ti-icons/css/themify-icons.css">
  <link rel="stylesheet" href="vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- Plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="css/vertical-layout-light/style.css">
  <!-- endinject -->
    <link rel="shortcut icon" href="images/fav/icon-fav.jpg" />
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet">
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">


  
    <style>
      .btn-primary, .wizard > .actions a {
    color: #fff;
    background-color: #80102b;
    border-color: #80102b;
}
    </style>
</head>

<body>
  <div class="container-scroller">
    <div class="container-fluid page-body-wrapper full-page-wrapper">
      <div class="content-wrapper d-flex align-items-center auth px-0">
        <div class="row w-100 mx-0">
          <div class="col-lg-4 mx-auto">
            <div class="auth-form-light text-left py-5 px-4 px-sm-5">
              <div class="brand-logo">
                <h2 style='font-size: 23px; line-height: 50px; text-transform: uppercase;text-align: center;font-weight: 700;'>GCUH-Bus-Tracking-system-Register</h2>
              </div>
              <h4 style='text-align: center;'>New here?</h4>
              <h6  style='text-align: center;' class="font-weight-light">Signing up is easy. It only takes a few steps</h6>
              <!--<form class="pt-3">-->
       <?php
require_once('database-connection/db.php');

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Collect form data
    $username = $_POST['username'];
    $email = $_POST['email'];
    $student_id = $_POST['student_id'];
    $student_section = $_POST['student_section'];
    $student_route = $_POST['student_route'];
    $phone = $_POST['phone'];
    $password = password_hash($_POST['password'], PASSWORD_DEFAULT);
    $agree = isset($_POST['agree']) ? 1 : 0;
    $date = date('Y-m-d'); // Get the current date
    $department = $_POST['department']; // Corrected spelling

    try {
        // Check if the student ID already exists
        $stmt = $conn->prepare("SELECT * FROM students WHERE student_id = :student_id");
        $stmt->bindParam(':student_id', $student_id);
        $stmt->execute();
        $existingStudent = $stmt->fetch();

        if ($existingStudent) {
            // Output JavaScript code to trigger toastr error notification for existing student ID
            echo '<script type="text/javascript">toastr.error("Student ID already exists")</script>';
        } else {
            // Insert the student's information into the database using prepared statements
            $sql = "INSERT INTO students (username, email, student_id, student_section, student_route, phone, password, agree, date, deaprt) 
                    VALUES (:username, :email, :student_id, :student_section, :student_route, :phone, :password, :agree, :date, :department)";
            $stmt = $conn->prepare($sql);
            $stmt->bindParam(':username', $username);
            $stmt->bindParam(':email', $email);
            $stmt->bindParam(':student_id', $student_id);
            $stmt->bindParam(':student_section', $student_section);
            $stmt->bindParam(':student_route', $student_route);
            $stmt->bindParam(':phone', $phone);
            $stmt->bindParam(':password', $password);
            $stmt->bindParam(':agree', $agree);
            $stmt->bindParam(':date', $date);
            $stmt->bindParam(':department', $department);
            $stmt->execute();

            // Output JavaScript code to trigger toastr success notification
            echo '<script type="text/javascript">toastr.success("Registration Successful. You will be redirected to the login page. Please wait.")</script>';
            header('Refresh: 2; URL=student-login');
        }
    } catch(PDOException $e) {
        // Output JavaScript code to trigger toastr error notification for database error
        echo '<script type="text/javascript">toastr.error("Error occurred. Please try again")</script>';
        // Optional: Log the error for debugging purposes
        error_log("Error: " . $e->getMessage());
    }
}
?>
<form action="<?php echo $_SERVER['PHP_SELF']; ?>" class="pt-3" method="post">
    <div class="form-group">
        <input type="text" class="form-control form-control-lg" name="username" placeholder="Username" required>
    </div>
    <div class="form-group">
        <input type="email" class="form-control form-control-lg" name="email" placeholder="Email" required>
    </div>
    <div class="form-group">
        <input type="number" class="form-control form-control-lg" name="student_id" placeholder="Student ID" required>
    </div>
    <div class="form-group">
        <input type="text" class="form-control form-control-lg" name="student_section" placeholder="Student Section" required>
    </div>
    <div class="form-group">
        <input type="text" class="form-control form-control-lg" name="student_route" placeholder="Student Route" required>
    </div>
    <div class="form-group">
        <input type="number" class="form-control form-control-lg" name="phone" placeholder="Phone" required>
    </div>
    <div class="form-group">
        <input type="text" class="form-control form-control-lg" name="department" placeholder="Student Department" required>
    </div>
    <div class="form-group">
        <input type="hidden" class="form-control form-control-lg" name="date" value="<?php echo date('Y-m-d'); ?>" placeholder="Date" required>
    </div>
   <div class="input-group">
    <input type="password" class="form-control form-control-lg" name="password" id="password" placeholder="Password" required>
    <div class="input-group-append">
        <span class="input-group-text" id="togglePassword">
            <i class="fa fa-eye" aria-hidden="true"></i>
        </span>
    </div>
</div>

<script>
    // JavaScript to toggle password visibility
    const passwordInput = document.getElementById('password');
    const togglePasswordButton = document.getElementById('togglePassword');

    togglePasswordButton.addEventListener('click', function () {
        const type = passwordInput.getAttribute('type') === 'password' ? 'text' : 'password';
        passwordInput.setAttribute('type', type);
    });
</script>
    <div class="mb-4">
        <div class="form-check">
            <label class="form-check-label text-muted">
                <input type="checkbox" name="agree" value="1" class="form-check-input" required>
                I agree to all Terms & Conditions
            </label>
        </div>
    </div>
    <div class="mt-3">
        <input style='text-transform: uppercase; letter-spacing: 2px;font-weight: 700;' class="btn btn-block btn-primary btn-lg font-weight-medium auth-form-btn" type="submit" name="submit" value="Register">
    </div>
    <div class="text-center mt-4 font-weight-light">
        Already have an account? <a href="student-login" class="text-primary">Login</a>
    </div>
</form>

            </div>
          </div>
        </div>
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
  <!-- plugins:js -->
  <script src="vendors/js/vendor.bundle.base.js"></script>

  <!-- endinject -->
  <!-- Plugin js for this page -->
  <!-- End plugin js for this page -->
  <!-- inject:js -->
  <script src="js/off-canvas.js"></script>
  <script src="js/hoverable-collapse.js"></script>
  <script src="js/template.js"></script>
  <script src="js/settings.js"></script>
  <script src="js/todolist.js"></script>

  <!-- endinject -->
</body>

</html>
